Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg
Class ShapeRenderingManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.IdentifierManager
                  org.apache.batik.css.engine.value.svg.ShapeRenderingManager

All Implemented Interfaces:
  ValueManager

public class ShapeRenderingManager
extends IdentifierManager

This class provides a manager for the 'shape-rendering' property values.

Field Summary
`protected static StringMap` | `values` The identifier values.

Constructor Summary
`ShapeRenderingManager()`

Method Summary
`Value` | `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`protected StringMap` | `getIdentifiers()` Implements `IdentifierManager.getIdentifiers()`.
`java.lang.String` | `getPropertyName()` Implements `ValueManager.getPropertyName()`.
`boolean` | `isInheritedProperty()` Implements `ValueManager.isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.IdentifierManager
`createStringValue, createValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`computeValue, createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected static final StringMap values

  The identifier values.

Constructor Detail

### ShapeRenderingManager

    public ShapeRenderingManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager.isInheritedProperty()`.

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

### getIdentifiers

    protected StringMap getIdentifiers()

  Implements `IdentifierManager.getIdentifiers()`.

  Specified by:
    `getIdentifiers` in class `IdentifierManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.